VCS: https://gitlab.cern.ch/linuxsupport/rpms/releases/oracle-release/-/tree/45aa349293624699ef668c84c1f017afa925732a
%define product oracle
%define debug_package %{nil}

Name:		%{product}-release
Version:	1.2
Release:	1%{?dist}
Summary:	CERN %{product} repository release file
Group:		System Environment/Base
License:	GPLv2
URL:		http://linux.cern.ch/
BuildArch:  noarch
Source0:	dbclients8.repo
Source1:	dbclients8-qa.repo
Source2:	dbclients8-testing.repo
Source3:	%{product}-instantclient.repo
Source4:	RPM-GPG-KEY-oracle-ol8

%description
The package contains yum configuration for the CERN %{product} repository

%prep
%setup -q  -c -T
install -pm 0644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} .

%build

%install
rm -rf $RPM_BUILD_ROOT
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg
install -dm 0755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 0644 %{SOURCE4} $RPM_BUILD_ROOT/etc/pki/rpm-gpg/RPM-GPG-KEY-oracle-ol8

%files
%defattr(-,root,root,-)
%doc
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/RPM-GPG-KEY-oracle-ol8

%changelog

* Mon Nov 09 2020 Daniel Juarez <djuarezg@cern.ch> 1.2-1
- add instantclient mirror repo for C8
- replace OL7 GPG key with OL8

* Tue Mar 17 2020 Ben Morrice <ben.morrice@cern.ch> 1.1-1
- add Oracle OL7 GPG key to configured repos

* Fri Mar 06 2020 Alex Iribarren <Alex.Iribarren@cern.ch> 1.0-1
- Initial release
